File perl-Module-ScanDeps.changes of Package perl-Module-ScanDeps

-------------------------------------------------------------------
Sun Jul  2 05:49:19 UTC 2017 - coolo@suse.com

- updated to 1.24
   see /usr/share/doc/packages/perl-Module-ScanDeps/Changes

  1.24  2017-06-28
  
  - Merge pull request from Salvador FandiƱo (salva), thx!
    Specio::PartialDump uses unicore
      
  - Fix RT#119737: Problems with detecting DateTime::Format::Natural dependencies
    ... by adding a %Preload rule

-------------------------------------------------------------------
Thu Nov 17 06:47:58 UTC 2016 - coolo@suse.com

- updated to 1.23
   see /usr/share/doc/packages/perl-Module-ScanDeps/Changes

  1.23  2016-11-16
  
  - add %Preload rules for List::SomeUtils and Pod::Simple::Transcode
  
  - get rid of Module::Install, use ExtUtils::MakeMaker

-------------------------------------------------------------------
Sun Sep 18 05:41:16 UTC 2016 - coolo@suse.com

- updated to 1.22
   see /usr/share/doc/packages/perl-Module-ScanDeps/Changes

  1.22  2016-09-17
  
  - Fix RT#117887: Not parsing new release of Net::DNS::Resolver
    add %Preload rule for Net/DNS/Resolver.pm
  
  - Move to GitHub. Thanks, OpenFoundry, for years of service.

-------------------------------------------------------------------
Thu Apr  7 09:40:30 UTC 2016 - coolo@suse.com

- updated to 1.21
   see /usr/share/doc/packages/perl-Module-ScanDeps/Changes

  1.21  2016-04-05
  
  - %Preload: add rules for List::MoreUtils and Log::Dispatch
  
  - %Preload: make the following modules require the unicore stuff:
    charnames.pm
    Unicode/Normalize.pm
    Unicode/UCD.pm
  
  - add helper _glob_in_inc_1()
  
  - remove all references to http://par.perl.org/, doesn't exist anymore

-------------------------------------------------------------------
Tue Oct  6 08:54:47 UTC 2015 - coolo@suse.com

- updated to 1.20
   see /usr/share/doc/packages/perl-Module-ScanDeps/Changes

  1.20  2015-10-04
  
  - Fix RT #107304: Newer versions of File::Path cause warning "_Inline for _Inline: No such file or directory at Module/ScanDeps.pm line 1339."
    - drop the dubious call to rmtree() 
  
  - Fix RT106142: Preload dependencies for PDL and PDL::NiceSlice
    - adopted from a patch by Shawn Laffan, thanks Shawn!
  
  - Fix RT#106144: Preload dependencies for File::BOM)
    - adopted from a patch by Shawn Laffan, thanks Shawn!
  
  - Revise our stance on utf8.pm:
  
    - A line of "use utf8;" just means "this file is encoded in UTF-8"
      and should _not_ result in scanning utf8.pm which will pull in
      the whole Unicode shebang (propery tables and what not). 
      Yes, utf8.pm _doesn contain "require utf8_heavy.pl", but only inside 
      an AUTOLOAD() that is _not_ triggered by calling functions 
      like utf8::is_utf8().
  
    - OTOH the innocently looking one-liner
  
        perl -ne 'print if /\pN/'
  
      implicitly loads utf8.pm and triggers the AUTOLAD().
  
    - So prevent utf8.pm from being scanned and make utf8_heavy.pl 
      the indicator for "I need the Unicode stuff" instead.
  
    - Cache the results of _get_preload('utf8_heavy.pl').
  
  - Make %Preload "transitive" so that given
  
      my %Preload = (
        'Foo.pm' => [ 'Bar.pm' ],
        'Bar.pm' => [ 'Quux.pm' ],
        ...
      );
  
    scan_deps_static() register a dependency on Bar.pm _and_
    Quux.pm when it saw "use Foo;" 
  
  - Minor changes:
    - drop dubious %Preload of utf8.pm for SOAP::Lite and XML::Parser::Expat
    - drop code for Perl < 5.008 as we require 5.8.1 already
    - rework the implementation of -x/-c
    - add add_preload_rule() to dynamically add a %Preload rule
    - recognize constructs like "open FH, '<:via(Foo)', ..."
    - upgrade to Module::Install 1.16

-------------------------------------------------------------------
Sun Jun  7 08:44:04 UTC 2015 - coolo@suse.com

- updated to 1.19
   see /usr/share/doc/packages/perl-Module-ScanDeps/Changes

  1.19  2015-05-27
  
    - add %Preload rule for LWP::MediaTypes: data file LWP/media.types 
  
    - add %Preload entry for MIME::Types: data file MIME/types.db
  
    - add %Preload rule for AnyEvent
  
    - always add Encode.pm when fix encountering constructs like
  
        decode("klingon", ...)
        open FH, "<:encoding(klingon)", ..
  
    - add license
  
    - update OpenFoundry repository URL

-------------------------------------------------------------------
Mon Apr 13 19:32:37 UTC 2015 - coolo@suse.com

- updated to 1.18
   see /usr/share/doc/packages/perl-Module-ScanDeps/Changes

-------------------------------------------------------------------
Sun Feb  9 13:34:24 UTC 2014 - coolo@suse.com

- updated to 1.13
 * Fix recognition of (open() arguments) "<:encoding(klingon)",
   implies modules PerlIO and PerlIO::encoding.

-------------------------------------------------------------------
Mon Dec  9 11:18:14 UTC 2013 - coolo@suse.com

- updated to 1.12
 * Fix RT #90869: Use of uninitialized value $module in substitution (s///)
 
 * Fix RT #87775: typo fixes, thanks dsteinbrunner@pobox.com 
 
 * new %Preload rule for B::Hooks::EndOfScope
 
 * new %Preload rule for Pod::Usage
 
 * add a fake %Preload rule that warns if use of Module::Implementation
   or Module::Runtime is detected (coz' they're doing runtime loading)
 
 * change some tests to use Test::Requires instead of homegrown stuff;
   hence add it to "test_requires" 
 * clean up some uses of Test::More

-------------------------------------------------------------------
Fri Oct  4 09:14:01 UTC 2013 - coolo@suse.com

- updated to 1.11
 * Fix RT #89000: test broken by indirect base.pm disuse
   - delete base.pm from list of expected deps, 
     patch by Andrew Main (zefram@fysh.org)
 
 * new %Preload rule for Net::HTTPS (e.g. used by LWP::Protocol::https)
   - look for IO::Socket::SSL or Net::SSL
 
 * new %Preload rule for YAML::Any
   - try to figure out what YAML::Any would have used (using YAML::Any->implementation)
   - as fallback, include anything below YAML

-------------------------------------------------------------------
Thu Jan 10 12:13:29 CET 2013 - ro@suse.de

- update to 1.10:
  * add %Preload rule for Params::Validate to detect 
    its PP and XS implementations
  
  * Fix RT #80276 Module DateTime::Format::ISO8601 generates error 
    after being packaged
    - caused by failing to pack DateTime::Format::Builder::Parser::XXX modules 
      needed by DateTime::Format::Builder::Parser
    - add a corresponding %Preload rule

- update to 1.09:
  * teach Module::ScanDeps about "use if ..." constructs
    - fixes CPAN Testers failures for PAR::Packer with perl 5.17.1 and up
      (Roderich Schupp)
  
  * RT #79003: t/7-check-dynaloader.t failing when /usr/lib != /usr/lib64
    - scrap the test for "$entry{file} starts with $expected_prefix" as
      its assumptions are flawed (Roderich Schupp)
  
  * Mojo::Base is a loader (Alexandr Ciornii)
  * Special case for Class::Load (Alexandr Ciornii)

- update to 1.08:
  * RT #73785: scandeps -c fails on modules that depend on Getopt::Euclid
    - for "scandeps -c ..." switch from an INIT block to a CHECK block
      and call the augmented script with "perl -c"  instaed of "perl"
  
  * RT#72954 ":encoding(UTF-8)" doesn't imply a dependency on Encode.pm
    - if scan_chunk sees ":encoding(FOO)" or similar, it goes to some
      length to find the "external" Encode module to handle FOO; but it
      forgets that Encode.pm itself is needed at runtime (esp. if FOO
      is an encoding "internally" handled by Encode.pm, e.g. "UTF-8")
  
  * %Preload: add rules for Gtk2.pm and Pango.pm
  * %Preload: fix a problem with Image::ExifTool 

-------------------------------------------------------------------
Wed Nov 30 22:44:32 UTC 2011 - pascal.bleser@opensuse.org

- update to 1.07:
  * RT #72796: dynaloader test fails when the .so files are in the system lib
    dirs and local::lib is involved?
  * update Module::Install to 1.04
 
- changes from 1.06:
  * RT #72211: pp includes way too much modules (when using 'use strict;')?
  * bump Perl version requirement to 5.8.1

-------------------------------------------------------------------
Thu Nov 03 22:54:21 UTC 2011 - pascal.bleser@opensuse.org

- update to 1.05:
  * RT#72082: $FindBin::Bin issue on Moduel::ScanDeps 1.04: make FindBin work
    (at least with option -c or -x) by spoofing $0 in the temp script generated
    for M:SD::DataFeed
  * RT #70134: patch suggestions for Module::ScanDeps 1.04: additional preload
    rules, used_via_preload attribute; add suggested %Preload rules
  * add %Preload rules for MozRepl
  * special case for Package::Stash
  * special case for Moose

- changes from 1.04:
  * brown paper bag bug: fix option -x (execute) (broken by changes for -c)
  * honor option -I with -c

- changes from 1.03:
  * RT#69213: ScanDeps incompatible with AnyEvent (Perl 5.14, AnyEvent 5.34,
    PAR 1.00.2); for option -c (compile) M:SD used to wrap the file in one big
    sub and appended an END block where it dumps %INC etc; the outer sub causes
    problems with certain contructs; instead we now use an INIT block prepended
    to the file
  * RT #69471: problem with "eval { require SomeModule }" constructions
    Module::ScanDeps::DataFeed now omits %INC pairs with an undefined value
    (these may be created by an unsuccessful "require" under certain
    conditions); also omit CODE refs from @INC
  * simplify Module::ScanDeps::DataFeed somewhat by localizing %INC around
    "require Module::ScanDeps::DataFeed" and by using Data::Dumper for the
    actual dump
  * don't create the tempfiles for DataFeed in the working directory

-------------------------------------------------------------------
Sun May  1 10:53:30 UTC 2011 - coolo@opensuse.org

- updated to 1.02
  * %Preload: add _all_ *.pl file below .../unicore for utf8.pm
  
  * %Preload: add "unicore/version" for Unicode/UCD.pm 
    (because it contains a call openunicode(..., "version"))

-------------------------------------------------------------------
Sat Feb 19 23:19:20 UTC 2011 - pascal.bleser@opensuse.org

- update to 1.00:
  * RT#65855: Special handling for POSIX requested
  * RT#65252: Temp files left when execute fails
  * add a %Preload rule for Log::Report::Dispatcher
  * add %Preload rule for Date::Manip
  * speed up scanning *significantly* by not re-constructing regexen for every
    line of input and reducing the no. of sub calls
  * RT#61027: "use lib" does not work
  * fix URI special case

-------------------------------------------------------------------
Wed Dec  1 06:55:40 UTC 2010 - coolo@novell.com

- switch to perl_requires macro

-------------------------------------------------------------------
Mon Nov 29 18:30:34 UTC 2010 - coolo@novell.com

- remove /var/adm/perl-modules

-------------------------------------------------------------------
Wed Sep  1 04:56:13 UTC 2010 - pascal.bleser@opensuse.org

- initial package (0.98)